/*******************************************************************************
    CANopen Object Dictionary definition for CANopenNode V4

    This file was automatically generated by CANopenEditor v4.1-30-g5935269

    https://github.com/CANopenNode/CANopenNode
    https://github.com/CANopenNode/CANopenEditor

    DON'T EDIT THIS FILE MANUALLY !!!!
********************************************************************************

    File info:
        File Names:   OD.h; OD.c
        Project File: DS401_profile.xpd
        File Version: 1

        Created:      10/21/2022 11:26:00 AM
        Created By:   
        Modified:     12/6/2023 11:40:41 AM
        Modified By:  

    Device Info:
        Vendor Name:  
        Vendor ID:    
        Product Name: CANOpen-CiA401-F446
        Product ID:   

        Description:  
*******************************************************************************/

#ifndef OD_H
#define OD_H
/*******************************************************************************
    Counters of OD objects
*******************************************************************************/
#define OD_CNT_NMT 1
#define OD_CNT_EM 1
#define OD_CNT_SYNC 1
#define OD_CNT_SYNC_PROD 1
#define OD_CNT_STORAGE 1
#define OD_CNT_TIME 1
#define OD_CNT_EM_PROD 1
#define OD_CNT_HB_CONS 1
#define OD_CNT_HB_PROD 1
#define OD_CNT_SDO_SRV 1
#define OD_CNT_SDO_CLI 1
#define OD_CNT_RPDO 1
#define OD_CNT_TPDO 1


/*******************************************************************************
    Sizes of OD arrays
*******************************************************************************/
#define OD_CNT_ARR_1003 16
#define OD_CNT_ARR_1010 4
#define OD_CNT_ARR_1011 4
#define OD_CNT_ARR_1016 8
#define OD_CNT_ARR_1029 3
#define OD_CNT_ARR_6000 254
#define OD_CNT_ARR_6002 254
#define OD_CNT_ARR_6003 254
#define OD_CNT_ARR_6006 254
#define OD_CNT_ARR_6007 254
#define OD_CNT_ARR_6008 254
#define OD_CNT_ARR_6020 128
#define OD_CNT_ARR_6021 128
#define OD_CNT_ARR_6022 128
#define OD_CNT_ARR_6023 128
#define OD_CNT_ARR_6024 128
#define OD_CNT_ARR_6025 128
#define OD_CNT_ARR_6026 128
#define OD_CNT_ARR_6027 128
#define OD_CNT_ARR_6030 128
#define OD_CNT_ARR_6031 128
#define OD_CNT_ARR_6032 128
#define OD_CNT_ARR_6033 128
#define OD_CNT_ARR_6034 128
#define OD_CNT_ARR_6035 128
#define OD_CNT_ARR_6036 128
#define OD_CNT_ARR_6037 128
#define OD_CNT_ARR_6038 128
#define OD_CNT_ARR_6039 128
#define OD_CNT_ARR_603A 128
#define OD_CNT_ARR_603B 128
#define OD_CNT_ARR_603C 128
#define OD_CNT_ARR_603D 128
#define OD_CNT_ARR_603E 128
#define OD_CNT_ARR_603F 128
#define OD_CNT_ARR_6050 128
#define OD_CNT_ARR_6051 128
#define OD_CNT_ARR_6052 128
#define OD_CNT_ARR_6053 128
#define OD_CNT_ARR_6054 128
#define OD_CNT_ARR_6055 128
#define OD_CNT_ARR_6056 128
#define OD_CNT_ARR_6057 128
#define OD_CNT_ARR_6060 128
#define OD_CNT_ARR_6061 128
#define OD_CNT_ARR_6062 128
#define OD_CNT_ARR_6063 128
#define OD_CNT_ARR_6064 128
#define OD_CNT_ARR_6065 128
#define OD_CNT_ARR_6066 128
#define OD_CNT_ARR_6067 128
#define OD_CNT_ARR_6070 128
#define OD_CNT_ARR_6071 128
#define OD_CNT_ARR_6072 128
#define OD_CNT_ARR_6073 128
#define OD_CNT_ARR_6074 128
#define OD_CNT_ARR_6075 128
#define OD_CNT_ARR_6076 128
#define OD_CNT_ARR_6077 128
#define OD_CNT_ARR_6100 254
#define OD_CNT_ARR_6102 254
#define OD_CNT_ARR_6103 254
#define OD_CNT_ARR_6106 254
#define OD_CNT_ARR_6107 254
#define OD_CNT_ARR_6108 254
#define OD_CNT_ARR_6120 254
#define OD_CNT_ARR_6122 254
#define OD_CNT_ARR_6123 254
#define OD_CNT_ARR_6126 254
#define OD_CNT_ARR_6127 254
#define OD_CNT_ARR_6128 254
#define OD_CNT_ARR_6200 254
#define OD_CNT_ARR_6202 254
#define OD_CNT_ARR_6206 254
#define OD_CNT_ARR_6207 254
#define OD_CNT_ARR_6208 254
#define OD_CNT_ARR_6220 128
#define OD_CNT_ARR_6221 128
#define OD_CNT_ARR_6222 128
#define OD_CNT_ARR_6223 128
#define OD_CNT_ARR_6224 128
#define OD_CNT_ARR_6225 128
#define OD_CNT_ARR_6226 128
#define OD_CNT_ARR_6227 128
#define OD_CNT_ARR_6240 128
#define OD_CNT_ARR_6241 128
#define OD_CNT_ARR_6242 128
#define OD_CNT_ARR_6243 128
#define OD_CNT_ARR_6244 128
#define OD_CNT_ARR_6245 128
#define OD_CNT_ARR_6246 128
#define OD_CNT_ARR_6247 128
#define OD_CNT_ARR_6250 128
#define OD_CNT_ARR_6251 128
#define OD_CNT_ARR_6252 128
#define OD_CNT_ARR_6253 128
#define OD_CNT_ARR_6254 128
#define OD_CNT_ARR_6255 128
#define OD_CNT_ARR_6256 128
#define OD_CNT_ARR_6257 128
#define OD_CNT_ARR_6260 128
#define OD_CNT_ARR_6261 128
#define OD_CNT_ARR_6262 128
#define OD_CNT_ARR_6263 128
#define OD_CNT_ARR_6264 128
#define OD_CNT_ARR_6265 128
#define OD_CNT_ARR_6266 128
#define OD_CNT_ARR_6267 128
#define OD_CNT_ARR_6270 128
#define OD_CNT_ARR_6271 128
#define OD_CNT_ARR_6272 128
#define OD_CNT_ARR_6273 128
#define OD_CNT_ARR_6274 128
#define OD_CNT_ARR_6275 128
#define OD_CNT_ARR_6276 128
#define OD_CNT_ARR_6277 128
#define OD_CNT_ARR_6300 254
#define OD_CNT_ARR_6302 254
#define OD_CNT_ARR_6306 254
#define OD_CNT_ARR_6307 254
#define OD_CNT_ARR_6308 254
#define OD_CNT_ARR_6320 254
#define OD_CNT_ARR_6322 254
#define OD_CNT_ARR_6326 254
#define OD_CNT_ARR_6327 254
#define OD_CNT_ARR_6328 254
#define OD_CNT_ARR_6400 254
#define OD_CNT_ARR_6401 254
#define OD_CNT_ARR_6402 254
#define OD_CNT_ARR_6403 254
#define OD_CNT_ARR_6410 254
#define OD_CNT_ARR_6411 254
#define OD_CNT_ARR_6412 254
#define OD_CNT_ARR_6413 254
#define OD_CNT_ARR_6421 254
#define OD_CNT_ARR_6422 8
#define OD_CNT_ARR_6424 254
#define OD_CNT_ARR_6425 254
#define OD_CNT_ARR_6426 254
#define OD_CNT_ARR_6427 254
#define OD_CNT_ARR_6428 254
#define OD_CNT_ARR_6429 254
#define OD_CNT_ARR_642A 254
#define OD_CNT_ARR_642B 254
#define OD_CNT_ARR_642C 254
#define OD_CNT_ARR_642D 254
#define OD_CNT_ARR_642E 254
#define OD_CNT_ARR_642F 254
#define OD_CNT_ARR_6430 254
#define OD_CNT_ARR_6431 254
#define OD_CNT_ARR_6432 254
#define OD_CNT_ARR_6441 254
#define OD_CNT_ARR_6442 254
#define OD_CNT_ARR_6443 254
#define OD_CNT_ARR_6444 254
#define OD_CNT_ARR_6445 254
#define OD_CNT_ARR_6446 254
#define OD_CNT_ARR_6447 254
#define OD_CNT_ARR_6450 254


/*******************************************************************************
    OD data declaration of all groups
*******************************************************************************/
typedef struct {
    uint32_t x1000_deviceType;
    uint32_t x1005_COB_ID_SYNCMessage;
    uint32_t x1006_communicationCyclePeriod;
    uint32_t x1007_synchronousWindowLength;
    uint32_t x1012_COB_IDTimeStampObject;
    uint32_t x1014_COB_ID_EMCY;
    uint16_t x1015_inhibitTimeEMCY;
    uint8_t x1016_consumerHeartbeatTime_sub0;
    uint32_t x1016_consumerHeartbeatTime[OD_CNT_ARR_1016];
    uint16_t x1017_producerHeartbeatTime;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t vendor_ID;
        uint32_t productCode;
        uint32_t revisionNumber;
        uint32_t serialNumber;
    } x1018_identity;
    uint8_t x1019_synchronousCounterOverflowValue;
    uint8_t x1029_errorBehaviorObject_sub0;
    uint8_t x1029_errorBehaviorObject[OD_CNT_ARR_1029];
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDClientToServerTx;
        uint32_t COB_IDServerToClientRx;
        uint8_t node_IDOfTheSDOServer;
    } x1280_SDOClientParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1400_RPDOCommunicationParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1600_RPDOMappingParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1800_TPDOCommunicationParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A00_TPDOMappingParameter;
} OD_PERSIST_COMM_t;

typedef struct {
    uint8_t x1001_errorRegister;
    uint8_t x1010_storeParameters_sub0;
    uint32_t x1010_storeParameters[OD_CNT_ARR_1010];
    uint8_t x1011_restoreDefaultParameters_sub0;
    uint32_t x1011_restoreDefaultParameters[OD_CNT_ARR_1011];
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDClientToServerRx;
        uint32_t COB_IDServerToClientTx;
    } x1200_SDOServerParameter;
    uint8_t x6000_readInput8Bit_sub0;
    uint8_t x6000_readInput8Bit[OD_CNT_ARR_6000];
    uint8_t x6002_polarityInput8Bit_sub0;
    uint8_t x6002_polarityInput8Bit[OD_CNT_ARR_6002];
    uint8_t x6003_filterConstantInput8Bit_sub0;
    uint8_t x6003_filterConstantInput8Bit[OD_CNT_ARR_6003];
    bool_t x6005_globalInterruptEnableDigital8Bit;
    uint8_t x6006_interruptMaskAnyChange8Bit_sub0;
    uint8_t x6006_interruptMaskAnyChange8Bit[OD_CNT_ARR_6006];
    uint8_t x6007_interruptMaskLowToHigh8Bit_sub0;
    uint8_t x6007_interruptMaskLowToHigh8Bit[OD_CNT_ARR_6007];
    uint8_t x6008_interruptMaskHighToLow8Bit_sub0;
    uint8_t x6008_interruptMaskHighToLow8Bit[OD_CNT_ARR_6008];
    uint8_t x6020_readInput1Bit_sub0;
    uint8_t x6021_readInput1Bit_sub0;
    uint8_t x6022_readInput1Bit_sub0;
    uint8_t x6023_readInput1Bit_sub0;
    uint8_t x6024_readInput1Bit_sub0;
    uint8_t x6025_readInput1Bit_sub0;
    uint8_t x6026_readInput1Bit_sub0;
    uint8_t x6027_readInput1Bit_sub0;
    uint8_t x6030_polarityInput1Bit_sub0;
    bool_t x6030_polarityInput1Bit[OD_CNT_ARR_6030];
    uint8_t x6031_polarityInput1Bit_sub0;
    bool_t x6031_polarityInput1Bit[OD_CNT_ARR_6031];
    uint8_t x6032_polarityInput1Bit_sub0;
    bool_t x6032_polarityInput1Bit[OD_CNT_ARR_6032];
    uint8_t x6033_polarityInput1Bit_sub0;
    bool_t x6033_polarityInput1Bit[OD_CNT_ARR_6033];
    uint8_t x6034_polarityInput1Bit_sub0;
    bool_t x6034_polarityInput1Bit[OD_CNT_ARR_6034];
    uint8_t x6035_polarityInput1Bit_sub0;
    bool_t x6035_polarityInput1Bit[OD_CNT_ARR_6035];
    uint8_t x6036_polarityInput1Bit_sub0;
    bool_t x6036_polarityInput1Bit[OD_CNT_ARR_6036];
    uint8_t x6037_polarityInput1Bit_sub0;
    bool_t x6037_polarityInput1Bit[OD_CNT_ARR_6037];
    uint8_t x6038_filterConstantInputBit1Bit_sub0;
    bool_t x6038_filterConstantInputBit1Bit[OD_CNT_ARR_6038];
    uint8_t x6039_filterConstantInputBit1Bit_sub0;
    bool_t x6039_filterConstantInputBit1Bit[OD_CNT_ARR_6039];
    uint8_t x603A_filterConstantInputBit1Bit_sub0;
    bool_t x603A_filterConstantInputBit1Bit[OD_CNT_ARR_603A];
    uint8_t x603B_filterConstantInputBit1Bit_sub0;
    bool_t x603B_filterConstantInputBit1Bit[OD_CNT_ARR_603B];
    uint8_t x603C_filterConstantInputBit1Bit_sub0;
    bool_t x603C_filterConstantInputBit1Bit[OD_CNT_ARR_603C];
    uint8_t x603D_filterConstantInputBit1Bit_sub0;
    bool_t x603D_filterConstantInputBit1Bit[OD_CNT_ARR_603D];
    uint8_t x603E_filterConstantInputBit1Bit_sub0;
    bool_t x603E_filterConstantInputBit1Bit[OD_CNT_ARR_603E];
    uint8_t x603F_filterConstantInputBit1Bit_sub0;
    bool_t x603F_filterConstantInputBit1Bit[OD_CNT_ARR_603F];
    uint8_t x6050_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6050_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6050];
    uint8_t x6051_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6051_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6051];
    uint8_t x6052_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6052_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6052];
    uint8_t x6053_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6053_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6053];
    uint8_t x6054_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6054_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6054];
    uint8_t x6055_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6055_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6055];
    uint8_t x6056_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6056_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6056];
    uint8_t x6057_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6057_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6057];
    uint8_t x6060_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6060_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6060];
    uint8_t x6061_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6061_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6061];
    uint8_t x6062_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6062_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6062];
    uint8_t x6063_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6063_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6063];
    uint8_t x6064_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6064_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6064];
    uint8_t x6065_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6065_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6065];
    uint8_t x6066_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6066_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6066];
    uint8_t x6067_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6067_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6067];
    uint8_t x6070_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6070_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6070];
    uint8_t x6071_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6071_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6071];
    uint8_t x6072_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6072_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6072];
    uint8_t x6073_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6073_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6073];
    uint8_t x6074_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6074_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6074];
    uint8_t x6075_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6075_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6075];
    uint8_t x6076_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6076_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6076];
    uint8_t x6077_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6077_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6077];
    uint8_t x6100_readInput16Bit_sub0;
    uint8_t x6102_polarityInput16Bit_sub0;
    uint16_t x6102_polarityInput16Bit[OD_CNT_ARR_6102];
    uint8_t x6103_filterConstantInput16Bit_sub0;
    uint16_t x6103_filterConstantInput16Bit[OD_CNT_ARR_6103];
    uint8_t x6106_interruptMaskAnyChange16Bit_sub0;
    uint16_t x6106_interruptMaskAnyChange16Bit[OD_CNT_ARR_6106];
    uint8_t x6107_interruptMaskLowToHigh16Bit_sub0;
    uint16_t x6107_interruptMaskLowToHigh16Bit[OD_CNT_ARR_6107];
    uint8_t x6108_interruptMaskHighToLow16Bit_sub0;
    uint16_t x6108_interruptMaskHighToLow16Bit[OD_CNT_ARR_6108];
    uint8_t x6120_readInput32Bit_sub0;
    uint8_t x6122_polarityInput32Bit_sub0;
    uint32_t x6122_polarityInput32Bit[OD_CNT_ARR_6122];
    uint8_t x6123_filterConstantInput32Bit_sub0;
    uint32_t x6123_filterConstantInput32Bit[OD_CNT_ARR_6123];
    uint8_t x6126_interruptMaskInputBitAnyChange32Bit_sub0;
    uint32_t x6126_interruptMaskInputBitAnyChange32Bit[OD_CNT_ARR_6126];
    uint8_t x6127_interruptMaskInputLowToHigh32Bit_sub0;
    uint32_t x6127_interruptMaskInputLowToHigh32Bit[OD_CNT_ARR_6127];
    uint8_t x6128_interruptMaskInputHighToLow32Bit_sub0;
    uint32_t x6128_interruptMaskInputHighToLow32Bit[OD_CNT_ARR_6128];
    uint8_t x6200_writeOutput8Bit_sub0;
    uint8_t x6200_writeOutput8Bit[OD_CNT_ARR_6200];
    uint8_t x6202_polarityOutput8Bit_sub0;
    uint8_t x6202_polarityOutput8Bit[OD_CNT_ARR_6202];
    uint8_t x6206_errorModeOutput8Bit_sub0;
    uint8_t x6206_errorModeOutput8Bit[OD_CNT_ARR_6206];
    uint8_t x6207_errorValueOutput8Bit_sub0;
    uint8_t x6207_errorValueOutput8Bit[OD_CNT_ARR_6207];
    uint8_t x6208_filterMaskOutput8Bit_sub0;
    uint8_t x6208_filterMaskOutput8Bit[OD_CNT_ARR_6208];
    uint8_t x6220_writeOutput1Bit_sub0;
    bool_t x6220_writeOutput1Bit[OD_CNT_ARR_6220];
    uint8_t x6221_writeOutput1Bit_sub0;
    bool_t x6221_writeOutput1Bit[OD_CNT_ARR_6221];
    uint8_t x6222_writeOutput1Bit_sub0;
    bool_t x6222_writeOutput1Bit[OD_CNT_ARR_6222];
    uint8_t x6223_writeOutput1Bit_sub0;
    bool_t x6223_writeOutput1Bit[OD_CNT_ARR_6223];
    uint8_t x6224_writeOutput1Bit_sub0;
    bool_t x6224_writeOutput1Bit[OD_CNT_ARR_6224];
    uint8_t x6225_writeOutput1Bit_sub0;
    bool_t x6225_writeOutput1Bit[OD_CNT_ARR_6225];
    uint8_t x6226_writeOutput1Bit_sub0;
    bool_t x6226_writeOutput1Bit[OD_CNT_ARR_6226];
    uint8_t x6227_writeOutput1Bit_sub0;
    bool_t x6227_writeOutput1Bit[OD_CNT_ARR_6227];
    uint8_t x6240_polarityOutput1Bit_sub0;
    bool_t x6240_polarityOutput1Bit[OD_CNT_ARR_6240];
    uint8_t x6241_polarityOutput1Bit_sub0;
    bool_t x6241_polarityOutput1Bit[OD_CNT_ARR_6241];
    uint8_t x6242_polarityOutput1Bit_sub0;
    bool_t x6242_polarityOutput1Bit[OD_CNT_ARR_6242];
    uint8_t x6243_polarityOutput1Bit_sub0;
    bool_t x6243_polarityOutput1Bit[OD_CNT_ARR_6243];
    uint8_t x6244_polarityOutput1Bit_sub0;
    bool_t x6244_polarityOutput1Bit[OD_CNT_ARR_6244];
    uint8_t x6245_polarityOutput1Bit_sub0;
    bool_t x6245_polarityOutput1Bit[OD_CNT_ARR_6245];
    uint8_t x6246_polarityOutput1Bit_sub0;
    bool_t x6246_polarityOutput1Bit[OD_CNT_ARR_6246];
    uint8_t x6247_polarityOutput1Bit_sub0;
    bool_t x6247_polarityOutput1Bit[OD_CNT_ARR_6247];
    uint8_t x6250_errorModeOutput1Bit_sub0;
    bool_t x6250_errorModeOutput1Bit[OD_CNT_ARR_6250];
    uint8_t x6251_errorModeOutput1Bit_sub0;
    bool_t x6251_errorModeOutput1Bit[OD_CNT_ARR_6251];
    uint8_t x6252_errorModeOutput1Bit_sub0;
    bool_t x6252_errorModeOutput1Bit[OD_CNT_ARR_6252];
    uint8_t x6253_errorModeOutput1Bit_sub0;
    bool_t x6253_errorModeOutput1Bit[OD_CNT_ARR_6253];
    uint8_t x6254_errorModeOutput1Bit_sub0;
    bool_t x6254_errorModeOutput1Bit[OD_CNT_ARR_6254];
    uint8_t x6255_errorModeOutput1Bit_sub0;
    bool_t x6255_errorModeOutput1Bit[OD_CNT_ARR_6255];
    uint8_t x6256_errorModeOutput1Bit_sub0;
    bool_t x6256_errorModeOutput1Bit[OD_CNT_ARR_6256];
    uint8_t x6257_errorModeOutput1Bit_sub0;
    bool_t x6257_errorModeOutput1Bit[OD_CNT_ARR_6257];
    uint8_t x6260_errorValueOutput1Bit_sub0;
    bool_t x6260_errorValueOutput1Bit[OD_CNT_ARR_6260];
    uint8_t x6261_errorValueOutput1Bit_sub0;
    bool_t x6261_errorValueOutput1Bit[OD_CNT_ARR_6261];
    uint8_t x6262_errorValueOutput1Bit_sub0;
    bool_t x6262_errorValueOutput1Bit[OD_CNT_ARR_6262];
    uint8_t x6263_errorValueOutput1Bit_sub0;
    bool_t x6263_errorValueOutput1Bit[OD_CNT_ARR_6263];
    uint8_t x6264_errorValueOutput1Bit_sub0;
    bool_t x6264_errorValueOutput1Bit[OD_CNT_ARR_6264];
    uint8_t x6265_errorValueOutput1Bit_sub0;
    bool_t x6265_errorValueOutput1Bit[OD_CNT_ARR_6265];
    uint8_t x6266_errorValueOutput1Bit_sub0;
    bool_t x6266_errorValueOutput1Bit[OD_CNT_ARR_6266];
    uint8_t x6267_errorValueOutput1Bit_sub0;
    bool_t x6267_errorValueOutput1Bit[OD_CNT_ARR_6267];
    uint8_t x6270_filterMaskOutput1Bit_sub0;
    bool_t x6270_filterMaskOutput1Bit[OD_CNT_ARR_6270];
    uint8_t x6271_filterMaskOutput1Bit_sub0;
    bool_t x6271_filterMaskOutput1Bit[OD_CNT_ARR_6271];
    uint8_t x6272_filterMaskOutput1Bit_sub0;
    bool_t x6272_filterMaskOutput1Bit[OD_CNT_ARR_6272];
    uint8_t x6273_filterMaskOutput1Bit_sub0;
    bool_t x6273_filterMaskOutput1Bit[OD_CNT_ARR_6273];
    uint8_t x6274_filterMaskOutput1Bit_sub0;
    bool_t x6274_filterMaskOutput1Bit[OD_CNT_ARR_6274];
    uint8_t x6275_filterMaskOutput1Bit_sub0;
    bool_t x6275_filterMaskOutput1Bit[OD_CNT_ARR_6275];
    uint8_t x6276_filterMaskOutput1Bit_sub0;
    bool_t x6276_filterMaskOutput1Bit[OD_CNT_ARR_6276];
    uint8_t x6277_filterMaskOutput1Bit_sub0;
    bool_t x6277_filterMaskOutput1Bit[OD_CNT_ARR_6277];
    uint8_t x6300_writeOutput16Bit_sub0;
    uint16_t x6300_writeOutput16Bit[OD_CNT_ARR_6300];
    uint8_t x6302_polarityOutput16Bit_sub0;
    uint16_t x6302_polarityOutput16Bit[OD_CNT_ARR_6302];
    uint8_t x6306_errorModeOutput16Bit_sub0;
    uint16_t x6306_errorModeOutput16Bit[OD_CNT_ARR_6306];
    uint8_t x6307_errorValueOutput16Bit_sub0;
    uint16_t x6307_errorValueOutput16Bit[OD_CNT_ARR_6307];
    uint8_t x6308_filterMaskOutput16Bit_sub0;
    uint16_t x6308_filterMaskOutput16Bit[OD_CNT_ARR_6308];
    uint8_t x6320_writeOutput32Bit_sub0;
    uint32_t x6320_writeOutput32Bit[OD_CNT_ARR_6320];
    uint8_t x6322_polarityOutput32Bit_sub0;
    uint32_t x6322_polarityOutput32Bit[OD_CNT_ARR_6322];
    uint8_t x6326_errorModeOutput32Bit_sub0;
    uint32_t x6326_errorModeOutput32Bit[OD_CNT_ARR_6326];
    uint8_t x6327_errorValueOutput32Bit_sub0;
    uint32_t x6327_errorValueOutput32Bit[OD_CNT_ARR_6327];
    uint8_t x6328_filterMaskOutput32Bitt_sub0;
    uint32_t x6328_filterMaskOutput32Bitt[OD_CNT_ARR_6328];
    uint8_t x6400_readAnalogueInput8Bit_sub0;
    uint8_t x6401_readAnalogueInput16Bit_sub0;
    uint8_t x6402_readAnalogueInput32Bit_sub0;
    uint8_t x6403_readAnalogueInputFloat_sub0;
    struct {
        uint8_t numberOfElements;
        int32_t analoguInputManuSpec;
        int32_t analoguInputManuSpec_2;
        int32_t analoguInputManuSpec_3;
        int32_t analoguInputManuSpec_4;
        int32_t analoguInputManuSpec_5;
        int32_t analoguInputManuSpec_6;
        int32_t analoguInputManuSpec_7;
        int32_t analoguInputManuSpec_8;
        int32_t analoguInputManuSpec_9;
        int32_t analoguInputManuSpec_a;
        int32_t analoguInputManuSpec_b;
        int32_t analoguInputManuSpec_c;
        int32_t analoguInputManuSpec_d;
        int32_t analoguInputManuSpec_e;
        int32_t analoguInputManuSpec_f;
        int32_t analoguInputManuSpec_10;
        int32_t analoguInputManuSpec_11;
        int32_t analoguInputManuSpec_12;
        int32_t analoguInputManuSpec_13;
        int32_t analoguInputManuSpec_14;
        int32_t analoguInputManuSpec_15;
        int32_t analoguInputManuSpec_16;
        int32_t analoguInputManuSpec_17;
        int32_t analoguInputManuSpec_18;
        int32_t analoguInputManuSpec_19;
        int32_t analoguInputManuSpec_1a;
        int32_t analoguInputManuSpec_1b;
        int32_t analoguInputManuSpec_1c;
        int32_t analoguInputManuSpec_1d;
        int32_t analoguInputManuSpec_1e;
        int32_t analoguInputManuSpec_1f;
        int32_t analoguInputManuSpec_20;
        int32_t analoguInputManuSpec_21;
        int32_t analoguInputManuSpec_22;
        int32_t analoguInputManuSpec_23;
        int32_t analoguInputManuSpec_24;
        int32_t analoguInputManuSpec_25;
        int32_t analoguInputManuSpec_26;
        int32_t analoguInputManuSpec_27;
        int32_t analoguInputManuSpec_28;
        int32_t analoguInputManuSpec_29;
        int32_t analoguInputManuSpec_2a;
        int32_t analoguInputManuSpec_2b;
        int32_t analoguInputManuSpec_2c;
        int32_t analoguInputManuSpec_2d;
        int32_t analoguInputManuSpec_2e;
        int32_t analoguInputManuSpec_2f;
        int32_t analoguInputManuSpec_30;
        int32_t analoguInputManuSpec_31;
        int32_t analoguInputManuSpec_32;
        int32_t analoguInputManuSpec_33;
        int32_t analoguInputManuSpec_34;
        int32_t analoguInputManuSpec_35;
        int32_t analoguInputManuSpec_36;
        int32_t analoguInputManuSpec_37;
        int32_t analoguInputManuSpec_38;
        int32_t analoguInputManuSpec_39;
        int32_t analoguInputManuSpec_3a;
        int32_t analoguInputManuSpec_3b;
        int32_t analoguInputManuSpec_3c;
        int32_t analoguInputManuSpec_3d;
        int32_t analoguInputManuSpec_3e;
        int32_t analoguInputManuSpec_3f;
        int32_t analoguInputManuSpec_40;
        int32_t analoguInputManuSpec_41;
        int32_t analoguInputManuSpec_42;
        int32_t analoguInputManuSpec_43;
        int32_t analoguInputManuSpec_44;
        int32_t analoguInputManuSpec_45;
        int32_t analoguInputManuSpec_46;
        int32_t analoguInputManuSpec_47;
        int32_t analoguInputManuSpec_48;
        int32_t analoguInputManuSpec_49;
        int32_t analoguInputManuSpec_4a;
        int32_t analoguInputManuSpec_4b;
        int32_t analoguInputManuSpec_4c;
        int32_t analoguInputManuSpec_4d;
        int32_t analoguInputManuSpec_4e;
        int32_t analoguInputManuSpec_4f;
        int32_t analoguInputManuSpec_50;
        int32_t analoguInputManuSpec_51;
        int32_t analoguInputManuSpec_52;
        int32_t analoguInputManuSpec_53;
        int32_t analoguInputManuSpec_54;
        int32_t analoguInputManuSpec_55;
        int32_t analoguInputManuSpec_56;
        int32_t analoguInputManuSpec_57;
        int32_t analoguInputManuSpec_58;
        int32_t analoguInputManuSpec_59;
        int32_t analoguInputManuSpec_5a;
        int32_t analoguInputManuSpec_5b;
        int32_t analoguInputManuSpec_5c;
        int32_t analoguInputManuSpec_5d;
        int32_t analoguInputManuSpec_5e;
        int32_t analoguInputManuSpec_5f;
        int32_t analoguInputManuSpec_60;
        int32_t analoguInputManuSpec_61;
        int32_t analoguInputManuSpec_62;
        int32_t analoguInputManuSpec_63;
        int32_t analoguInputManuSpec_64;
        int32_t analoguInputManuSpec_65;
        int32_t analoguInputManuSpec_66;
        int32_t analoguInputManuSpec_67;
        int32_t analoguInputManuSpec_68;
        int32_t analoguInputManuSpec_69;
        int32_t analoguInputManuSpec_6a;
        int32_t analoguInputManuSpec_6b;
        int32_t analoguInputManuSpec_6c;
        int32_t analoguInputManuSpec_6d;
        int32_t analoguInputManuSpec_6e;
        int32_t analoguInputManuSpec_6f;
        int32_t analoguInputManuSpec_70;
        int32_t analoguInputManuSpec_71;
        int32_t analoguInputManuSpec_72;
        int32_t analoguInputManuSpec_73;
        int32_t analoguInputManuSpec_74;
        int32_t analoguInputManuSpec_75;
        int32_t analoguInputManuSpec_76;
        int32_t analoguInputManuSpec_77;
        int32_t analoguInputManuSpec_78;
        int32_t analoguInputManuSpec_79;
        int32_t analoguInputManuSpec_7a;
        int32_t analoguInputManuSpec_7b;
        int32_t analoguInputManuSpec_7c;
        int32_t analoguInputManuSpec_7d;
        int32_t analoguInputManuSpec_7e;
        int32_t analoguInputManuSpec_7f;
        int32_t analoguInputManuSpec_80;
        int32_t analoguInputManuSpec_81;
        int32_t analoguInputManuSpec_82;
        int32_t analoguInputManuSpec_83;
        int32_t analoguInputManuSpec_84;
        int32_t analoguInputManuSpec_85;
        int32_t analoguInputManuSpec_86;
        int32_t analoguInputManuSpec_87;
        int32_t analoguInputManuSpec_88;
        int32_t analoguInputManuSpec_89;
        int32_t analoguInputManuSpec_8a;
        int32_t analoguInputManuSpec_8b;
        int32_t analoguInputManuSpec_8c;
        int32_t analoguInputManuSpec_8d;
        int32_t analoguInputManuSpec_8e;
        int32_t analoguInputManuSpec_8f;
        int32_t analoguInputManuSpec_90;
        int32_t analoguInputManuSpec_91;
        int32_t analoguInputManuSpec_92;
        int32_t analoguInputManuSpec_93;
        int32_t analoguInputManuSpec_94;
        int32_t analoguInputManuSpec_95;
        int32_t analoguInputManuSpec_96;
        int32_t analoguInputManuSpec_97;
        int32_t analoguInputManuSpec_98;
        int32_t analoguInputManuSpec_99;
        int32_t analoguInputManuSpec_9a;
        int32_t analoguInputManuSpec_9b;
        int32_t analoguInputManuSpec_9c;
        int32_t analoguInputManuSpec_9d;
        int32_t analoguInputManuSpec_9e;
        int32_t analoguInputManuSpec_9f;
        int32_t analoguInputManuSpec_a0;
        int32_t analoguInputManuSpec_a1;
        int32_t analoguInputManuSpec_a2;
        int32_t analoguInputManuSpec_a3;
        int32_t analoguInputManuSpec_a4;
        int32_t analoguInputManuSpec_a5;
        int32_t analoguInputManuSpec_a6;
        int32_t analoguInputManuSpec_a7;
        int32_t analoguInputManuSpec_a8;
        int32_t analoguInputManuSpec_a9;
        int32_t analoguInputManuSpec_aa;
        int32_t analoguInputManuSpec_ab;
        int32_t analoguInputManuSpec_ac;
        int32_t analoguInputManuSpec_ad;
        int32_t analoguInputManuSpec_ae;
        int32_t analoguInputManuSpec_af;
        int32_t analoguInputManuSpec_b0;
        int32_t analoguInputManuSpec_b1;
        int32_t analoguInputManuSpec_b2;
        int32_t analoguInputManuSpec_b3;
        int32_t analoguInputManuSpec_b4;
        int32_t analoguInputManuSpec_b5;
        int32_t analoguInputManuSpec_b6;
        int32_t analoguInputManuSpec_b7;
        int32_t analoguInputManuSpec_b8;
        int32_t analoguInputManuSpec_b9;
        int32_t analoguInputManuSpec_ba;
        int32_t analoguInputManuSpec_bb;
        int32_t analoguInputManuSpec_bc;
        int32_t analoguInputManuSpec_bd;
        int32_t analoguInputManuSpec_be;
        int32_t analoguInputManuSpec_bf;
        int32_t analoguInputManuSpec_c0;
        int32_t analoguInputManuSpec_c1;
        int32_t analoguInputManuSpec_c2;
        int32_t analoguInputManuSpec_c3;
        int32_t analoguInputManuSpec_c4;
        int32_t analoguInputManuSpec_c5;
        int32_t analoguInputManuSpec_c6;
        int32_t analoguInputManuSpec_c7;
        int32_t analoguInputManuSpec_c8;
        int32_t analoguInputManuSpec_c9;
        int32_t analoguInputManuSpec_ca;
        int32_t analoguInputManuSpec_cb;
        int32_t analoguInputManuSpec_cc;
        int32_t analoguInputManuSpec_cd;
        int32_t analoguInputManuSpec_ce;
        int32_t analoguInputManuSpec_cf;
        int32_t analoguInputManuSpec_d0;
        int32_t analoguInputManuSpec_d1;
        int32_t analoguInputManuSpec_d2;
        int32_t analoguInputManuSpec_d3;
        int32_t analoguInputManuSpec_d4;
        int32_t analoguInputManuSpec_d5;
        int32_t analoguInputManuSpec_d6;
        int32_t analoguInputManuSpec_d7;
        int32_t analoguInputManuSpec_d8;
        int32_t analoguInputManuSpec_d9;
        int32_t analoguInputManuSpec_da;
        int32_t analoguInputManuSpec_db;
        int32_t analoguInputManuSpec_dc;
        int32_t analoguInputManuSpec_dd;
        int32_t analoguInputManuSpec_de;
        int32_t analoguInputManuSpec_df;
        int32_t analoguInputManuSpec_e0;
        int32_t analoguInputManuSpec_e1;
        int32_t analoguInputManuSpec_e2;
        int32_t analoguInputManuSpec_e3;
        int32_t analoguInputManuSpec_e4;
        int32_t analoguInputManuSpec_e5;
        int32_t analoguInputManuSpec_e6;
        int32_t analoguInputManuSpec_e7;
        int32_t analoguInputManuSpec_e8;
        int32_t analoguInputManuSpec_e9;
        int32_t analoguInputManuSpec_ea;
        int32_t analoguInputManuSpec_eb;
        int32_t analoguInputManuSpec_ec;
        int32_t analoguInputManuSpec_ed;
        int32_t analoguInputManuSpec_ee;
        int32_t analoguInputManuSpec_ef;
        int32_t analoguInputManuSpec_f0;
        int32_t analoguInputManuSpec_f1;
        int32_t analoguInputManuSpec_f2;
        int32_t analoguInputManuSpec_f3;
        int32_t analoguInputManuSpec_f4;
        int32_t analoguInputManuSpec_f5;
        int32_t analoguInputManuSpec_f6;
        int32_t analoguInputManuSpec_f7;
        int32_t analoguInputManuSpec_f8;
        int32_t analoguInputManuSpec_f9;
        int32_t analoguInputManuSpec_fa;
        int32_t analoguInputManuSpec_fb;
        int32_t analoguInputManuSpec_fc;
        int32_t analoguInputManuSpec_fd;
        int32_t analoguInputManuSpec_fe;
    } x6404_readManufacturerSpecificAnalogueInput;
    uint8_t x6410_writeAnalogueOutput8Bit_sub0;
    int8_t x6410_writeAnalogueOutput8Bit[OD_CNT_ARR_6410];
    uint8_t x6411_writeAnalogueOutput16Bit_sub0;
    int16_t x6411_writeAnalogueOutput16Bit[OD_CNT_ARR_6411];
    uint8_t x6412_writeAnalogueOutput32Bit_sub0;
    int32_t x6412_writeAnalogueOutput32Bit[OD_CNT_ARR_6412];
    uint8_t x6413_writeAnalogueOutputFloat_sub0;
    float32_t x6413_writeAnalogueOutputFloat[OD_CNT_ARR_6413];
    struct {
        uint8_t numberOfElements;
        int32_t analogueOutputManuSpec;
        int32_t analogueOutputManuSpec_2;
        int32_t analogueOutputManuSpec_3;
        int32_t analogueOutputManuSpec_4;
        int32_t analogueOutputManuSpec_5;
        int32_t analogueOutputManuSpec_6;
        int32_t analogueOutputManuSpec_7;
        int32_t analogueOutputManuSpec_8;
        int32_t analogueOutputManuSpec_9;
        int32_t analogueOutputManuSpec_a;
        int32_t analogueOutputManuSpec_b;
        int32_t analogueOutputManuSpec_c;
        int32_t analogueOutputManuSpec_d;
        int32_t analogueOutputManuSpec_e;
        int32_t analogueOutputManuSpec_f;
        int32_t analogueOutputManuSpec_10;
        int32_t analogueOutputManuSpec_11;
        int32_t analogueOutputManuSpec_12;
        int32_t analogueOutputManuSpec_13;
        int32_t analogueOutputManuSpec_14;
        int32_t analogueOutputManuSpec_15;
        int32_t analogueOutputManuSpec_16;
        int32_t analogueOutputManuSpec_17;
        int32_t analogueOutputManuSpec_18;
        int32_t analogueOutputManuSpec_19;
        int32_t analogueOutputManuSpec_1a;
        int32_t analogueOutputManuSpec_1b;
        int32_t analogueOutputManuSpec_1c;
        int32_t analogueOutputManuSpec_1d;
        int32_t analogueOutputManuSpec_1e;
        int32_t analogueOutputManuSpec_1f;
        int32_t analogueOutputManuSpec_20;
        int32_t analogueOutputManuSpec_21;
        int32_t analogueOutputManuSpec_22;
        int32_t analogueOutputManuSpec_23;
        int32_t analogueOutputManuSpec_24;
        int32_t analogueOutputManuSpec_25;
        int32_t analogueOutputManuSpec_26;
        int32_t analogueOutputManuSpec_27;
        int32_t analogueOutputManuSpec_28;
        int32_t analogueOutputManuSpec_29;
        int32_t analogueOutputManuSpec_2a;
        int32_t analogueOutputManuSpec_2b;
        int32_t analogueOutputManuSpec_2c;
        int32_t analogueOutputManuSpec_2d;
        int32_t analogueOutputManuSpec_2e;
        int32_t analogueOutputManuSpec_2f;
        int32_t analogueOutputManuSpec_30;
        int32_t analogueOutputManuSpec_31;
        int32_t analogueOutputManuSpec_32;
        int32_t analogueOutputManuSpec_33;
        int32_t analogueOutputManuSpec_34;
        int32_t analogueOutputManuSpec_35;
        int32_t analogueOutputManuSpec_36;
        int32_t analogueOutputManuSpec_37;
        int32_t analogueOutputManuSpec_38;
        int32_t analogueOutputManuSpec_39;
        int32_t analogueOutputManuSpec_3a;
        int32_t analogueOutputManuSpec_3b;
        int32_t analogueOutputManuSpec_3c;
        int32_t analogueOutputManuSpec_3d;
        int32_t analogueOutputManuSpec_3e;
        int32_t analogueOutputManuSpec_3f;
        int32_t analogueOutputManuSpec_40;
        int32_t analogueOutputManuSpec_41;
        int32_t analogueOutputManuSpec_42;
        int32_t analogueOutputManuSpec_43;
        int32_t analogueOutputManuSpec_44;
        int32_t analogueOutputManuSpec_45;
        int32_t analogueOutputManuSpec_46;
        int32_t analogueOutputManuSpec_47;
        int32_t analogueOutputManuSpec_48;
        int32_t analogueOutputManuSpec_49;
        int32_t analogueOutputManuSpec_4a;
        int32_t analogueOutputManuSpec_4b;
        int32_t analogueOutputManuSpec_4c;
        int32_t analogueOutputManuSpec_4d;
        int32_t analogueOutputManuSpec_4e;
        int32_t analogueOutputManuSpec_4f;
        int32_t analogueOutputManuSpec_50;
        int32_t analogueOutputManuSpec_51;
        int32_t analogueOutputManuSpec_52;
        int32_t analogueOutputManuSpec_53;
        int32_t analogueOutputManuSpec_54;
        int32_t analogueOutputManuSpec_55;
        int32_t analogueOutputManuSpec_56;
        int32_t analogueOutputManuSpec_57;
        int32_t analogueOutputManuSpec_58;
        int32_t analogueOutputManuSpec_59;
        int32_t analogueOutputManuSpec_5a;
        int32_t analogueOutputManuSpec_5b;
        int32_t analogueOutputManuSpec_5c;
        int32_t analogueOutputManuSpec_5d;
        int32_t analogueOutputManuSpec_5e;
        int32_t analogueOutputManuSpec_5f;
        int32_t analogueOutputManuSpec_60;
        int32_t analogueOutputManuSpec_61;
        int32_t analogueOutputManuSpec_62;
        int32_t analogueOutputManuSpec_63;
        int32_t analogueOutputManuSpec_64;
        int32_t analogueOutputManuSpec_65;
        int32_t analogueOutputManuSpec_66;
        int32_t analogueOutputManuSpec_67;
        int32_t analogueOutputManuSpec_68;
        int32_t analogueOutputManuSpec_69;
        int32_t analogueOutputManuSpec_6a;
        int32_t analogueOutputManuSpec_6b;
        int32_t analogueOutputManuSpec_6c;
        int32_t analogueOutputManuSpec_6d;
        int32_t analogueOutputManuSpec_6e;
        int32_t analogueOutputManuSpec_6f;
        int32_t analogueOutputManuSpec_70;
        int32_t analogueOutputManuSpec_71;
        int32_t analogueOutputManuSpec_72;
        int32_t analogueOutputManuSpec_73;
        int32_t analogueOutputManuSpec_74;
        int32_t analogueOutputManuSpec_75;
        int32_t analogueOutputManuSpec_76;
        int32_t analogueOutputManuSpec_77;
        int32_t analogueOutputManuSpec_78;
        int32_t analogueOutputManuSpec_79;
        int32_t analogueOutputManuSpec_7a;
        int32_t analogueOutputManuSpec_7b;
        int32_t analogueOutputManuSpec_7c;
        int32_t analogueOutputManuSpec_7d;
        int32_t analogueOutputManuSpec_7e;
        int32_t analogueOutputManuSpec_7f;
        int32_t analogueOutputManuSpec_80;
        int32_t analogueOutputManuSpec_81;
        int32_t analogueOutputManuSpec_82;
        int32_t analogueOutputManuSpec_83;
        int32_t analogueOutputManuSpec_84;
        int32_t analogueOutputManuSpec_85;
        int32_t analogueOutputManuSpec_86;
        int32_t analogueOutputManuSpec_87;
        int32_t analogueOutputManuSpec_88;
        int32_t analogueOutputManuSpec_89;
        int32_t analogueOutputManuSpec_8a;
        int32_t analogueOutputManuSpec_8b;
        int32_t analogueOutputManuSpec_8c;
        int32_t analogueOutputManuSpec_8d;
        int32_t analogueOutputManuSpec_8e;
        int32_t analogueOutputManuSpec_8f;
        int32_t analogueOutputManuSpec_90;
        int32_t analogueOutputManuSpec_91;
        int32_t analogueOutputManuSpec_92;
        int32_t analogueOutputManuSpec_93;
        int32_t analogueOutputManuSpec_94;
        int32_t analogueOutputManuSpec_95;
        int32_t analogueOutputManuSpec_96;
        int32_t analogueOutputManuSpec_97;
        int32_t analogueOutputManuSpec_98;
        int32_t analogueOutputManuSpec_99;
        int32_t analogueOutputManuSpec_9a;
        int32_t analogueOutputManuSpec_9b;
        int32_t analogueOutputManuSpec_9c;
        int32_t analogueOutputManuSpec_9d;
        int32_t analogueOutputManuSpec_9e;
        int32_t analogueOutputManuSpec_9f;
        int32_t analogueOutputManuSpec_a0;
        int32_t analogueOutputManuSpec_a1;
        int32_t analogueOutputManuSpec_a2;
        int32_t analogueOutputManuSpec_a3;
        int32_t analogueOutputManuSpec_a4;
        int32_t analogueOutputManuSpec_a5;
        int32_t analogueOutputManuSpec_a6;
        int32_t analogueOutputManuSpec_a7;
        int32_t analogueOutputManuSpec_a8;
        int32_t analogueOutputManuSpec_a9;
        int32_t analogueOutputManuSpec_aa;
        int32_t analogueOutputManuSpec_ab;
        int32_t analogueOutputManuSpec_ac;
        int32_t analogueOutputManuSpec_ad;
        int32_t analogueOutputManuSpec_ae;
        int32_t analogueOutputManuSpec_af;
        int32_t analogueOutputManuSpec_b0;
        int32_t analogueOutputManuSpec_b1;
        int32_t analogueOutputManuSpec_b2;
        int32_t analogueOutputManuSpec_b3;
        int32_t analogueOutputManuSpec_b4;
        int32_t analogueOutputManuSpec_b5;
        int32_t analogueOutputManuSpec_b6;
        int32_t analogueOutputManuSpec_b7;
        int32_t analogueOutputManuSpec_b8;
        int32_t analogueOutputManuSpec_b9;
        int32_t analogueOutputManuSpec_ba;
        int32_t analogueOutputManuSpec_bb;
        int32_t analogueOutputManuSpec_bc;
        int32_t analogueOutputManuSpec_bd;
        int32_t analogueOutputManuSpec_be;
        int32_t analogueOutputManuSpec_bf;
        int32_t analogueOutputManuSpec_c0;
        int32_t analogueOutputManuSpec_c1;
        int32_t analogueOutputManuSpec_c2;
        int32_t analogueOutputManuSpec_c3;
        int32_t analogueOutputManuSpec_c4;
        int32_t analogueOutputManuSpec_c5;
        int32_t analogueOutputManuSpec_c6;
        int32_t analogueOutputManuSpec_c7;
        int32_t analogueOutputManuSpec_c8;
        int32_t analogueOutputManuSpec_c9;
        int32_t analogueOutputManuSpec_ca;
        int32_t analogueOutputManuSpec_cb;
        int32_t analogueOutputManuSpec_cc;
        int32_t analogueOutputManuSpec_cd;
        int32_t analogueOutputManuSpec_ce;
        int32_t analogueOutputManuSpec_cf;
        int32_t analogueOutputManuSpec_d0;
        int32_t analogueOutputManuSpec_d1;
        int32_t analogueOutputManuSpec_d2;
        int32_t analogueOutputManuSpec_d3;
        int32_t analogueOutputManuSpec_d4;
        int32_t analogueOutputManuSpec_d5;
        int32_t analogueOutputManuSpec_d6;
        int32_t analogueOutputManuSpec_d7;
        int32_t analogueOutputManuSpec_d8;
        int32_t analogueOutputManuSpec_d9;
        int32_t analogueOutputManuSpec_da;
        int32_t analogueOutputManuSpec_db;
        int32_t analogueOutputManuSpec_dc;
        int32_t analogueOutputManuSpec_dd;
        int32_t analogueOutputManuSpec_de;
        int32_t analogueOutputManuSpec_df;
        int32_t analogueOutputManuSpec_e0;
        int32_t analogueOutputManuSpec_e1;
        int32_t analogueOutputManuSpec_e2;
        int32_t analogueOutputManuSpec_e3;
        int32_t analogueOutputManuSpec_e4;
        int32_t analogueOutputManuSpec_e5;
        int32_t analogueOutputManuSpec_e6;
        int32_t analogueOutputManuSpec_e7;
        int32_t analogueOutputManuSpec_e8;
        int32_t analogueOutputManuSpec_e9;
        int32_t analogueOutputManuSpec_ea;
        int32_t analogueOutputManuSpec_eb;
        int32_t analogueOutputManuSpec_ec;
        int32_t analogueOutputManuSpec_ed;
        int32_t analogueOutputManuSpec_ee;
        int32_t analogueOutputManuSpec_ef;
        int32_t analogueOutputManuSpec_f0;
        int32_t analogueOutputManuSpec_f1;
        int32_t analogueOutputManuSpec_f2;
        int32_t analogueOutputManuSpec_f3;
        int32_t analogueOutputManuSpec_f4;
        int32_t analogueOutputManuSpec_f5;
        int32_t analogueOutputManuSpec_f6;
        int32_t analogueOutputManuSpec_f7;
        int32_t analogueOutputManuSpec_f8;
        int32_t analogueOutputManuSpec_f9;
        int32_t analogueOutputManuSpec_fa;
        int32_t analogueOutputManuSpec_fb;
        int32_t analogueOutputManuSpec_fc;
        int32_t analogueOutputManuSpec_fd;
        int32_t analogueOutputManuSpec_fe;
    } x6414_writeManufacturerSpecificAnalogueOutput;
    uint8_t x6421_interruptTriggerSelection_sub0;
    uint8_t x6421_interruptTriggerSelection[OD_CNT_ARR_6421];
    uint8_t x6422_analogueInputInterruptSource_sub0;
    uint32_t x6422_analogueInputInterruptSource[OD_CNT_ARR_6422];
    bool_t x6423_analogueInputGlobalInterruptEnable;
    uint8_t x6424_analogueInputInterruptUpperLimitInteger_sub0;
    int32_t x6424_analogueInputInterruptUpperLimitInteger[OD_CNT_ARR_6424];
    uint8_t x6425_analogueInputInterruptLowerLimitInteger_sub0;
    int32_t x6425_analogueInputInterruptLowerLimitInteger[OD_CNT_ARR_6425];
    uint8_t x6426_analogueInputInterruptDeltaUnsigned_sub0;
    uint32_t x6426_analogueInputInterruptDeltaUnsigned[OD_CNT_ARR_6426];
    uint8_t x6427_analogueInputInterruptNegativeDeltaUnsigned_sub0;
    uint32_t x6427_analogueInputInterruptNegativeDeltaUnsigned[OD_CNT_ARR_6427];
    uint8_t x6428_analogueInputInterruptPositiveDeltaUnsigned_sub0;
    uint32_t x6428_analogueInputInterruptPositiveDeltaUnsigned[OD_CNT_ARR_6428];
    uint8_t x6429_analogueInputInterruptUpperLimitFloat_sub0;
    float32_t x6429_analogueInputInterruptUpperLimitFloat[OD_CNT_ARR_6429];
    uint8_t x642A_analogueInputInterruptLowerLimitFloat_sub0;
    float32_t x642A_analogueInputInterruptLowerLimitFloat[OD_CNT_ARR_642A];
    uint8_t x642B_analogueInputInterruptDeltaFloat_sub0;
    float32_t x642B_analogueInputInterruptDeltaFloat[OD_CNT_ARR_642B];
    uint8_t x642C_analogueInputInterruptNegativeDeltaFloat_sub0;
    float32_t x642C_analogueInputInterruptNegativeDeltaFloat[OD_CNT_ARR_642C];
    uint8_t x642D_analogueInputInterruptPositiveDeltaFloat_sub0;
    float32_t x642D_analogueInputInterruptPositiveDeltaFloat[OD_CNT_ARR_642D];
    uint8_t x642E_analogueInputOffsetFloat_sub0;
    float32_t x642E_analogueInputOffsetFloat[OD_CNT_ARR_642E];
    uint8_t x642F_analogueInputScalingFloat_sub0;
    float32_t x642F_analogueInputScalingFloat[OD_CNT_ARR_642F];
    uint8_t x6430_analogueInputSI_Unit_sub0;
    uint8_t x6431_analogueInputOffsetInteger_sub0;
    int32_t x6431_analogueInputOffsetInteger[OD_CNT_ARR_6431];
    uint8_t x6432_analogueInputScalingInteger_sub0;
    int32_t x6432_analogueInputScalingInteger[OD_CNT_ARR_6432];
    uint8_t x6441_analogueOutputOffsetFloat_sub0;
    float32_t x6441_analogueOutputOffsetFloat[OD_CNT_ARR_6441];
    uint8_t x6442_analogueOutputScalingFloat_sub0;
    float32_t x6442_analogueOutputScalingFloat[OD_CNT_ARR_6442];
    uint8_t x6443_analogueOutputErrorMode_sub0;
    uint8_t x6443_analogueOutputErrorMode[OD_CNT_ARR_6443];
    uint8_t x6444_analogueOutputErrorValueInteger_sub0;
    int32_t x6444_analogueOutputErrorValueInteger[OD_CNT_ARR_6444];
    uint8_t x6445_analogueOutputErrorValueFloat_sub0;
    float32_t x6445_analogueOutputErrorValueFloat[OD_CNT_ARR_6445];
    uint8_t x6446_analogueOutputOffsetInteger_sub0;
    int32_t x6446_analogueOutputOffsetInteger[OD_CNT_ARR_6446];
    uint8_t x6447_analogueOutputScalingInteger_sub0;
    int32_t x6447_analogueOutputScalingInteger[OD_CNT_ARR_6447];
    uint8_t x6450_analogueOutputSI_Unit_sub0;
    uint32_t x6450_analogueOutputSI_Unit[OD_CNT_ARR_6450];
} OD_RAM_t;

#ifndef OD_ATTR_PERSIST_COMM
#define OD_ATTR_PERSIST_COMM
#endif
extern OD_ATTR_PERSIST_COMM OD_PERSIST_COMM_t OD_PERSIST_COMM;

#ifndef OD_ATTR_RAM
#define OD_ATTR_RAM
#endif
extern OD_ATTR_RAM OD_RAM_t OD_RAM;

#ifndef OD_ATTR_OD
#define OD_ATTR_OD
#endif
extern OD_ATTR_OD OD_t *OD;


/*******************************************************************************
    Object dictionary entries - shortcuts
*******************************************************************************/
#define OD_ENTRY_H1000 &OD->list[0]
#define OD_ENTRY_H1001 &OD->list[1]
#define OD_ENTRY_H1003 &OD->list[2]
#define OD_ENTRY_H1005 &OD->list[3]
#define OD_ENTRY_H1006 &OD->list[4]
#define OD_ENTRY_H1007 &OD->list[5]
#define OD_ENTRY_H1010 &OD->list[6]
#define OD_ENTRY_H1011 &OD->list[7]
#define OD_ENTRY_H1012 &OD->list[8]
#define OD_ENTRY_H1014 &OD->list[9]
#define OD_ENTRY_H1015 &OD->list[10]
#define OD_ENTRY_H1016 &OD->list[11]
#define OD_ENTRY_H1017 &OD->list[12]
#define OD_ENTRY_H1018 &OD->list[13]
#define OD_ENTRY_H1019 &OD->list[14]
#define OD_ENTRY_H1029 &OD->list[15]
#define OD_ENTRY_H1200 &OD->list[16]
#define OD_ENTRY_H1280 &OD->list[17]
#define OD_ENTRY_H1400 &OD->list[18]
#define OD_ENTRY_H1600 &OD->list[19]
#define OD_ENTRY_H1800 &OD->list[20]
#define OD_ENTRY_H1A00 &OD->list[21]
#define OD_ENTRY_H6000 &OD->list[22]
#define OD_ENTRY_H6002 &OD->list[23]
#define OD_ENTRY_H6003 &OD->list[24]
#define OD_ENTRY_H6005 &OD->list[25]
#define OD_ENTRY_H6006 &OD->list[26]
#define OD_ENTRY_H6007 &OD->list[27]
#define OD_ENTRY_H6008 &OD->list[28]
#define OD_ENTRY_H6020 &OD->list[29]
#define OD_ENTRY_H6021 &OD->list[30]
#define OD_ENTRY_H6022 &OD->list[31]
#define OD_ENTRY_H6023 &OD->list[32]
#define OD_ENTRY_H6024 &OD->list[33]
#define OD_ENTRY_H6025 &OD->list[34]
#define OD_ENTRY_H6026 &OD->list[35]
#define OD_ENTRY_H6027 &OD->list[36]
#define OD_ENTRY_H6030 &OD->list[37]
#define OD_ENTRY_H6031 &OD->list[38]
#define OD_ENTRY_H6032 &OD->list[39]
#define OD_ENTRY_H6033 &OD->list[40]
#define OD_ENTRY_H6034 &OD->list[41]
#define OD_ENTRY_H6035 &OD->list[42]
#define OD_ENTRY_H6036 &OD->list[43]
#define OD_ENTRY_H6037 &OD->list[44]
#define OD_ENTRY_H6038 &OD->list[45]
#define OD_ENTRY_H6039 &OD->list[46]
#define OD_ENTRY_H603A &OD->list[47]
#define OD_ENTRY_H603B &OD->list[48]
#define OD_ENTRY_H603C &OD->list[49]
#define OD_ENTRY_H603D &OD->list[50]
#define OD_ENTRY_H603E &OD->list[51]
#define OD_ENTRY_H603F &OD->list[52]
#define OD_ENTRY_H6050 &OD->list[53]
#define OD_ENTRY_H6051 &OD->list[54]
#define OD_ENTRY_H6052 &OD->list[55]
#define OD_ENTRY_H6053 &OD->list[56]
#define OD_ENTRY_H6054 &OD->list[57]
#define OD_ENTRY_H6055 &OD->list[58]
#define OD_ENTRY_H6056 &OD->list[59]
#define OD_ENTRY_H6057 &OD->list[60]
#define OD_ENTRY_H6060 &OD->list[61]
#define OD_ENTRY_H6061 &OD->list[62]
#define OD_ENTRY_H6062 &OD->list[63]
#define OD_ENTRY_H6063 &OD->list[64]
#define OD_ENTRY_H6064 &OD->list[65]
#define OD_ENTRY_H6065 &OD->list[66]
#define OD_ENTRY_H6066 &OD->list[67]
#define OD_ENTRY_H6067 &OD->list[68]
#define OD_ENTRY_H6070 &OD->list[69]
#define OD_ENTRY_H6071 &OD->list[70]
#define OD_ENTRY_H6072 &OD->list[71]
#define OD_ENTRY_H6073 &OD->list[72]
#define OD_ENTRY_H6074 &OD->list[73]
#define OD_ENTRY_H6075 &OD->list[74]
#define OD_ENTRY_H6076 &OD->list[75]
#define OD_ENTRY_H6077 &OD->list[76]
#define OD_ENTRY_H6100 &OD->list[77]
#define OD_ENTRY_H6102 &OD->list[78]
#define OD_ENTRY_H6103 &OD->list[79]
#define OD_ENTRY_H6106 &OD->list[80]
#define OD_ENTRY_H6107 &OD->list[81]
#define OD_ENTRY_H6108 &OD->list[82]
#define OD_ENTRY_H6120 &OD->list[83]
#define OD_ENTRY_H6122 &OD->list[84]
#define OD_ENTRY_H6123 &OD->list[85]
#define OD_ENTRY_H6126 &OD->list[86]
#define OD_ENTRY_H6127 &OD->list[87]
#define OD_ENTRY_H6128 &OD->list[88]
#define OD_ENTRY_H6200 &OD->list[89]
#define OD_ENTRY_H6202 &OD->list[90]
#define OD_ENTRY_H6206 &OD->list[91]
#define OD_ENTRY_H6207 &OD->list[92]
#define OD_ENTRY_H6208 &OD->list[93]
#define OD_ENTRY_H6220 &OD->list[94]
#define OD_ENTRY_H6221 &OD->list[95]
#define OD_ENTRY_H6222 &OD->list[96]
#define OD_ENTRY_H6223 &OD->list[97]
#define OD_ENTRY_H6224 &OD->list[98]
#define OD_ENTRY_H6225 &OD->list[99]
#define OD_ENTRY_H6226 &OD->list[100]
#define OD_ENTRY_H6227 &OD->list[101]
#define OD_ENTRY_H6240 &OD->list[102]
#define OD_ENTRY_H6241 &OD->list[103]
#define OD_ENTRY_H6242 &OD->list[104]
#define OD_ENTRY_H6243 &OD->list[105]
#define OD_ENTRY_H6244 &OD->list[106]
#define OD_ENTRY_H6245 &OD->list[107]
#define OD_ENTRY_H6246 &OD->list[108]
#define OD_ENTRY_H6247 &OD->list[109]
#define OD_ENTRY_H6250 &OD->list[110]
#define OD_ENTRY_H6251 &OD->list[111]
#define OD_ENTRY_H6252 &OD->list[112]
#define OD_ENTRY_H6253 &OD->list[113]
#define OD_ENTRY_H6254 &OD->list[114]
#define OD_ENTRY_H6255 &OD->list[115]
#define OD_ENTRY_H6256 &OD->list[116]
#define OD_ENTRY_H6257 &OD->list[117]
#define OD_ENTRY_H6260 &OD->list[118]
#define OD_ENTRY_H6261 &OD->list[119]
#define OD_ENTRY_H6262 &OD->list[120]
#define OD_ENTRY_H6263 &OD->list[121]
#define OD_ENTRY_H6264 &OD->list[122]
#define OD_ENTRY_H6265 &OD->list[123]
#define OD_ENTRY_H6266 &OD->list[124]
#define OD_ENTRY_H6267 &OD->list[125]
#define OD_ENTRY_H6270 &OD->list[126]
#define OD_ENTRY_H6271 &OD->list[127]
#define OD_ENTRY_H6272 &OD->list[128]
#define OD_ENTRY_H6273 &OD->list[129]
#define OD_ENTRY_H6274 &OD->list[130]
#define OD_ENTRY_H6275 &OD->list[131]
#define OD_ENTRY_H6276 &OD->list[132]
#define OD_ENTRY_H6277 &OD->list[133]
#define OD_ENTRY_H6300 &OD->list[134]
#define OD_ENTRY_H6302 &OD->list[135]
#define OD_ENTRY_H6306 &OD->list[136]
#define OD_ENTRY_H6307 &OD->list[137]
#define OD_ENTRY_H6308 &OD->list[138]
#define OD_ENTRY_H6320 &OD->list[139]
#define OD_ENTRY_H6322 &OD->list[140]
#define OD_ENTRY_H6326 &OD->list[141]
#define OD_ENTRY_H6327 &OD->list[142]
#define OD_ENTRY_H6328 &OD->list[143]
#define OD_ENTRY_H6400 &OD->list[144]
#define OD_ENTRY_H6401 &OD->list[145]
#define OD_ENTRY_H6402 &OD->list[146]
#define OD_ENTRY_H6403 &OD->list[147]
#define OD_ENTRY_H6404 &OD->list[148]
#define OD_ENTRY_H6410 &OD->list[149]
#define OD_ENTRY_H6411 &OD->list[150]
#define OD_ENTRY_H6412 &OD->list[151]
#define OD_ENTRY_H6413 &OD->list[152]
#define OD_ENTRY_H6414 &OD->list[153]
#define OD_ENTRY_H6421 &OD->list[154]
#define OD_ENTRY_H6422 &OD->list[155]
#define OD_ENTRY_H6423 &OD->list[156]
#define OD_ENTRY_H6424 &OD->list[157]
#define OD_ENTRY_H6425 &OD->list[158]
#define OD_ENTRY_H6426 &OD->list[159]
#define OD_ENTRY_H6427 &OD->list[160]
#define OD_ENTRY_H6428 &OD->list[161]
#define OD_ENTRY_H6429 &OD->list[162]
#define OD_ENTRY_H642A &OD->list[163]
#define OD_ENTRY_H642B &OD->list[164]
#define OD_ENTRY_H642C &OD->list[165]
#define OD_ENTRY_H642D &OD->list[166]
#define OD_ENTRY_H642E &OD->list[167]
#define OD_ENTRY_H642F &OD->list[168]
#define OD_ENTRY_H6430 &OD->list[169]
#define OD_ENTRY_H6431 &OD->list[170]
#define OD_ENTRY_H6432 &OD->list[171]
#define OD_ENTRY_H6441 &OD->list[172]
#define OD_ENTRY_H6442 &OD->list[173]
#define OD_ENTRY_H6443 &OD->list[174]
#define OD_ENTRY_H6444 &OD->list[175]
#define OD_ENTRY_H6445 &OD->list[176]
#define OD_ENTRY_H6446 &OD->list[177]
#define OD_ENTRY_H6447 &OD->list[178]
#define OD_ENTRY_H6450 &OD->list[179]


/*******************************************************************************
    Object dictionary entries - shortcuts with names
*******************************************************************************/
#define OD_ENTRY_H1000_deviceType &OD->list[0]
#define OD_ENTRY_H1001_errorRegister &OD->list[1]
#define OD_ENTRY_H1003_pre_definedErrorField &OD->list[2]
#define OD_ENTRY_H1005_COB_ID_SYNCMessage &OD->list[3]
#define OD_ENTRY_H1006_communicationCyclePeriod &OD->list[4]
#define OD_ENTRY_H1007_synchronousWindowLength &OD->list[5]
#define OD_ENTRY_H1010_storeParameters &OD->list[6]
#define OD_ENTRY_H1011_restoreDefaultParameters &OD->list[7]
#define OD_ENTRY_H1012_COB_IDTimeStampObject &OD->list[8]
#define OD_ENTRY_H1014_COB_ID_EMCY &OD->list[9]
#define OD_ENTRY_H1015_inhibitTimeEMCY &OD->list[10]
#define OD_ENTRY_H1016_consumerHeartbeatTime &OD->list[11]
#define OD_ENTRY_H1017_producerHeartbeatTime &OD->list[12]
#define OD_ENTRY_H1018_identity &OD->list[13]
#define OD_ENTRY_H1019_synchronousCounterOverflowValue &OD->list[14]
#define OD_ENTRY_H1029_errorBehaviorObject &OD->list[15]
#define OD_ENTRY_H1200_SDOServerParameter &OD->list[16]
#define OD_ENTRY_H1280_SDOClientParameter &OD->list[17]
#define OD_ENTRY_H1400_RPDOCommunicationParameter &OD->list[18]
#define OD_ENTRY_H1600_RPDOMappingParameter &OD->list[19]
#define OD_ENTRY_H1800_TPDOCommunicationParameter &OD->list[20]
#define OD_ENTRY_H1A00_TPDOMappingParameter &OD->list[21]
#define OD_ENTRY_H6000_readInput8Bit &OD->list[22]
#define OD_ENTRY_H6002_polarityInput8Bit &OD->list[23]
#define OD_ENTRY_H6003_filterConstantInput8Bit &OD->list[24]
#define OD_ENTRY_H6005_globalInterruptEnableDigital8Bit &OD->list[25]
#define OD_ENTRY_H6006_interruptMaskAnyChange8Bit &OD->list[26]
#define OD_ENTRY_H6007_interruptMaskLowToHigh8Bit &OD->list[27]
#define OD_ENTRY_H6008_interruptMaskHighToLow8Bit &OD->list[28]
#define OD_ENTRY_H6020_readInput1Bit &OD->list[29]
#define OD_ENTRY_H6021_readInput1Bit &OD->list[30]
#define OD_ENTRY_H6022_readInput1Bit &OD->list[31]
#define OD_ENTRY_H6023_readInput1Bit &OD->list[32]
#define OD_ENTRY_H6024_readInput1Bit &OD->list[33]
#define OD_ENTRY_H6025_readInput1Bit &OD->list[34]
#define OD_ENTRY_H6026_readInput1Bit &OD->list[35]
#define OD_ENTRY_H6027_readInput1Bit &OD->list[36]
#define OD_ENTRY_H6030_polarityInput1Bit &OD->list[37]
#define OD_ENTRY_H6031_polarityInput1Bit &OD->list[38]
#define OD_ENTRY_H6032_polarityInput1Bit &OD->list[39]
#define OD_ENTRY_H6033_polarityInput1Bit &OD->list[40]
#define OD_ENTRY_H6034_polarityInput1Bit &OD->list[41]
#define OD_ENTRY_H6035_polarityInput1Bit &OD->list[42]
#define OD_ENTRY_H6036_polarityInput1Bit &OD->list[43]
#define OD_ENTRY_H6037_polarityInput1Bit &OD->list[44]
#define OD_ENTRY_H6038_filterConstantInputBit1Bit &OD->list[45]
#define OD_ENTRY_H6039_filterConstantInputBit1Bit &OD->list[46]
#define OD_ENTRY_H603A_filterConstantInputBit1Bit &OD->list[47]
#define OD_ENTRY_H603B_filterConstantInputBit1Bit &OD->list[48]
#define OD_ENTRY_H603C_filterConstantInputBit1Bit &OD->list[49]
#define OD_ENTRY_H603D_filterConstantInputBit1Bit &OD->list[50]
#define OD_ENTRY_H603E_filterConstantInputBit1Bit &OD->list[51]
#define OD_ENTRY_H603F_filterConstantInputBit1Bit &OD->list[52]
#define OD_ENTRY_H6050_interruptMaskInputBitAnyChange1Bit &OD->list[53]
#define OD_ENTRY_H6051_interruptMaskInputBitAnyChange1Bit &OD->list[54]
#define OD_ENTRY_H6052_interruptMaskInputBitAnyChange1Bit &OD->list[55]
#define OD_ENTRY_H6053_interruptMaskInputBitAnyChange1Bit &OD->list[56]
#define OD_ENTRY_H6054_interruptMaskInputBitAnyChange1Bit &OD->list[57]
#define OD_ENTRY_H6055_interruptMaskInputBitAnyChange1Bit &OD->list[58]
#define OD_ENTRY_H6056_interruptMaskInputBitAnyChange1Bit &OD->list[59]
#define OD_ENTRY_H6057_interruptMaskInputBitAnyChange1Bit &OD->list[60]
#define OD_ENTRY_H6060_interruptMaskInputLowToHigh1Bit &OD->list[61]
#define OD_ENTRY_H6061_interruptMaskInputLowToHigh1Bit &OD->list[62]
#define OD_ENTRY_H6062_interruptMaskInputLowToHigh1Bit &OD->list[63]
#define OD_ENTRY_H6063_interruptMaskInputLowToHigh1Bit &OD->list[64]
#define OD_ENTRY_H6064_interruptMaskInputLowToHigh1Bit &OD->list[65]
#define OD_ENTRY_H6065_interruptMaskInputLowToHigh1Bit &OD->list[66]
#define OD_ENTRY_H6066_interruptMaskInputLowToHigh1Bit &OD->list[67]
#define OD_ENTRY_H6067_interruptMaskInputLowToHigh1Bit &OD->list[68]
#define OD_ENTRY_H6070_interruptMaskInputHighToLow1Bit &OD->list[69]
#define OD_ENTRY_H6071_interruptMaskInputHighToLow1Bit &OD->list[70]
#define OD_ENTRY_H6072_interruptMaskInputHighToLow1Bit &OD->list[71]
#define OD_ENTRY_H6073_interruptMaskInputHighToLow1Bit &OD->list[72]
#define OD_ENTRY_H6074_interruptMaskInputHighToLow1Bit &OD->list[73]
#define OD_ENTRY_H6075_interruptMaskInputHighToLow1Bit &OD->list[74]
#define OD_ENTRY_H6076_interruptMaskInputHighToLow1Bit &OD->list[75]
#define OD_ENTRY_H6077_interruptMaskInputHighToLow1Bit &OD->list[76]
#define OD_ENTRY_H6100_readInput16Bit &OD->list[77]
#define OD_ENTRY_H6102_polarityInput16Bit &OD->list[78]
#define OD_ENTRY_H6103_filterConstantInput16Bit &OD->list[79]
#define OD_ENTRY_H6106_interruptMaskAnyChange16Bit &OD->list[80]
#define OD_ENTRY_H6107_interruptMaskLowToHigh16Bit &OD->list[81]
#define OD_ENTRY_H6108_interruptMaskHighToLow16Bit &OD->list[82]
#define OD_ENTRY_H6120_readInput32Bit &OD->list[83]
#define OD_ENTRY_H6122_polarityInput32Bit &OD->list[84]
#define OD_ENTRY_H6123_filterConstantInput32Bit &OD->list[85]
#define OD_ENTRY_H6126_interruptMaskInputBitAnyChange32Bit &OD->list[86]
#define OD_ENTRY_H6127_interruptMaskInputLowToHigh32Bit &OD->list[87]
#define OD_ENTRY_H6128_interruptMaskInputHighToLow32Bit &OD->list[88]
#define OD_ENTRY_H6200_writeOutput8Bit &OD->list[89]
#define OD_ENTRY_H6202_polarityOutput8Bit &OD->list[90]
#define OD_ENTRY_H6206_errorModeOutput8Bit &OD->list[91]
#define OD_ENTRY_H6207_errorValueOutput8Bit &OD->list[92]
#define OD_ENTRY_H6208_filterMaskOutput8Bit &OD->list[93]
#define OD_ENTRY_H6220_writeOutput1Bit &OD->list[94]
#define OD_ENTRY_H6221_writeOutput1Bit &OD->list[95]
#define OD_ENTRY_H6222_writeOutput1Bit &OD->list[96]
#define OD_ENTRY_H6223_writeOutput1Bit &OD->list[97]
#define OD_ENTRY_H6224_writeOutput1Bit &OD->list[98]
#define OD_ENTRY_H6225_writeOutput1Bit &OD->list[99]
#define OD_ENTRY_H6226_writeOutput1Bit &OD->list[100]
#define OD_ENTRY_H6227_writeOutput1Bit &OD->list[101]
#define OD_ENTRY_H6240_polarityOutput1Bit &OD->list[102]
#define OD_ENTRY_H6241_polarityOutput1Bit &OD->list[103]
#define OD_ENTRY_H6242_polarityOutput1Bit &OD->list[104]
#define OD_ENTRY_H6243_polarityOutput1Bit &OD->list[105]
#define OD_ENTRY_H6244_polarityOutput1Bit &OD->list[106]
#define OD_ENTRY_H6245_polarityOutput1Bit &OD->list[107]
#define OD_ENTRY_H6246_polarityOutput1Bit &OD->list[108]
#define OD_ENTRY_H6247_polarityOutput1Bit &OD->list[109]
#define OD_ENTRY_H6250_errorModeOutput1Bit &OD->list[110]
#define OD_ENTRY_H6251_errorModeOutput1Bit &OD->list[111]
#define OD_ENTRY_H6252_errorModeOutput1Bit &OD->list[112]
#define OD_ENTRY_H6253_errorModeOutput1Bit &OD->list[113]
#define OD_ENTRY_H6254_errorModeOutput1Bit &OD->list[114]
#define OD_ENTRY_H6255_errorModeOutput1Bit &OD->list[115]
#define OD_ENTRY_H6256_errorModeOutput1Bit &OD->list[116]
#define OD_ENTRY_H6257_errorModeOutput1Bit &OD->list[117]
#define OD_ENTRY_H6260_errorValueOutput1Bit &OD->list[118]
#define OD_ENTRY_H6261_errorValueOutput1Bit &OD->list[119]
#define OD_ENTRY_H6262_errorValueOutput1Bit &OD->list[120]
#define OD_ENTRY_H6263_errorValueOutput1Bit &OD->list[121]
#define OD_ENTRY_H6264_errorValueOutput1Bit &OD->list[122]
#define OD_ENTRY_H6265_errorValueOutput1Bit &OD->list[123]
#define OD_ENTRY_H6266_errorValueOutput1Bit &OD->list[124]
#define OD_ENTRY_H6267_errorValueOutput1Bit &OD->list[125]
#define OD_ENTRY_H6270_filterMaskOutput1Bit &OD->list[126]
#define OD_ENTRY_H6271_filterMaskOutput1Bit &OD->list[127]
#define OD_ENTRY_H6272_filterMaskOutput1Bit &OD->list[128]
#define OD_ENTRY_H6273_filterMaskOutput1Bit &OD->list[129]
#define OD_ENTRY_H6274_filterMaskOutput1Bit &OD->list[130]
#define OD_ENTRY_H6275_filterMaskOutput1Bit &OD->list[131]
#define OD_ENTRY_H6276_filterMaskOutput1Bit &OD->list[132]
#define OD_ENTRY_H6277_filterMaskOutput1Bit &OD->list[133]
#define OD_ENTRY_H6300_writeOutput16Bit &OD->list[134]
#define OD_ENTRY_H6302_polarityOutput16Bit &OD->list[135]
#define OD_ENTRY_H6306_errorModeOutput16Bit &OD->list[136]
#define OD_ENTRY_H6307_errorValueOutput16Bit &OD->list[137]
#define OD_ENTRY_H6308_filterMaskOutput16Bit &OD->list[138]
#define OD_ENTRY_H6320_writeOutput32Bit &OD->list[139]
#define OD_ENTRY_H6322_polarityOutput32Bit &OD->list[140]
#define OD_ENTRY_H6326_errorModeOutput32Bit &OD->list[141]
#define OD_ENTRY_H6327_errorValueOutput32Bit &OD->list[142]
#define OD_ENTRY_H6328_filterMaskOutput32Bitt &OD->list[143]
#define OD_ENTRY_H6400_readAnalogueInput8Bit &OD->list[144]
#define OD_ENTRY_H6401_readAnalogueInput16Bit &OD->list[145]
#define OD_ENTRY_H6402_readAnalogueInput32Bit &OD->list[146]
#define OD_ENTRY_H6403_readAnalogueInputFloat &OD->list[147]
#define OD_ENTRY_H6404_readManufacturerSpecificAnalogueInput &OD->list[148]
#define OD_ENTRY_H6410_writeAnalogueOutput8Bit &OD->list[149]
#define OD_ENTRY_H6411_writeAnalogueOutput16Bit &OD->list[150]
#define OD_ENTRY_H6412_writeAnalogueOutput32Bit &OD->list[151]
#define OD_ENTRY_H6413_writeAnalogueOutputFloat &OD->list[152]
#define OD_ENTRY_H6414_writeManufacturerSpecificAnalogueOutput &OD->list[153]
#define OD_ENTRY_H6421_interruptTriggerSelection &OD->list[154]
#define OD_ENTRY_H6422_analogueInputInterruptSource &OD->list[155]
#define OD_ENTRY_H6423_analogueInputGlobalInterruptEnable &OD->list[156]
#define OD_ENTRY_H6424_analogueInputInterruptUpperLimitInteger &OD->list[157]
#define OD_ENTRY_H6425_analogueInputInterruptLowerLimitInteger &OD->list[158]
#define OD_ENTRY_H6426_analogueInputInterruptDeltaUnsigned &OD->list[159]
#define OD_ENTRY_H6427_analogueInputInterruptNegativeDeltaUnsigned &OD->list[160]
#define OD_ENTRY_H6428_analogueInputInterruptPositiveDeltaUnsigned &OD->list[161]
#define OD_ENTRY_H6429_analogueInputInterruptUpperLimitFloat &OD->list[162]
#define OD_ENTRY_H642A_analogueInputInterruptLowerLimitFloat &OD->list[163]
#define OD_ENTRY_H642B_analogueInputInterruptDeltaFloat &OD->list[164]
#define OD_ENTRY_H642C_analogueInputInterruptNegativeDeltaFloat &OD->list[165]
#define OD_ENTRY_H642D_analogueInputInterruptPositiveDeltaFloat &OD->list[166]
#define OD_ENTRY_H642E_analogueInputOffsetFloat &OD->list[167]
#define OD_ENTRY_H642F_analogueInputScalingFloat &OD->list[168]
#define OD_ENTRY_H6430_analogueInputSI_Unit &OD->list[169]
#define OD_ENTRY_H6431_analogueInputOffsetInteger &OD->list[170]
#define OD_ENTRY_H6432_analogueInputScalingInteger &OD->list[171]
#define OD_ENTRY_H6441_analogueOutputOffsetFloat &OD->list[172]
#define OD_ENTRY_H6442_analogueOutputScalingFloat &OD->list[173]
#define OD_ENTRY_H6443_analogueOutputErrorMode &OD->list[174]
#define OD_ENTRY_H6444_analogueOutputErrorValueInteger &OD->list[175]
#define OD_ENTRY_H6445_analogueOutputErrorValueFloat &OD->list[176]
#define OD_ENTRY_H6446_analogueOutputOffsetInteger &OD->list[177]
#define OD_ENTRY_H6447_analogueOutputScalingInteger &OD->list[178]
#define OD_ENTRY_H6450_analogueOutputSI_Unit &OD->list[179]


/*******************************************************************************
    OD config structure
*******************************************************************************/
#ifdef CO_MULTIPLE_OD
#define OD_INIT_CONFIG(config) {\
    (config).CNT_NMT = OD_CNT_NMT;\
    (config).ENTRY_H1017 = OD_ENTRY_H1017;\
    (config).CNT_HB_CONS = OD_CNT_HB_CONS;\
    (config).CNT_ARR_1016 = OD_CNT_ARR_1016;\
    (config).ENTRY_H1016 = OD_ENTRY_H1016;\
    (config).CNT_EM = OD_CNT_EM;\
    (config).ENTRY_H1001 = OD_ENTRY_H1001;\
    (config).ENTRY_H1014 = OD_ENTRY_H1014;\
    (config).ENTRY_H1015 = OD_ENTRY_H1015;\
    (config).CNT_ARR_1003 = OD_CNT_ARR_1003;\
    (config).ENTRY_H1003 = OD_ENTRY_H1003;\
    (config).CNT_SDO_SRV = OD_CNT_SDO_SRV;\
    (config).ENTRY_H1200 = OD_ENTRY_H1200;\
    (config).CNT_SDO_CLI = OD_CNT_SDO_CLI;\
    (config).ENTRY_H1280 = OD_ENTRY_H1280;\
    (config).CNT_TIME = OD_CNT_TIME;\
    (config).ENTRY_H1012 = OD_ENTRY_H1012;\
    (config).CNT_SYNC = OD_CNT_SYNC;\
    (config).ENTRY_H1005 = OD_ENTRY_H1005;\
    (config).ENTRY_H1006 = OD_ENTRY_H1006;\
    (config).ENTRY_H1007 = OD_ENTRY_H1007;\
    (config).ENTRY_H1019 = OD_ENTRY_H1019;\
    (config).CNT_RPDO = OD_CNT_RPDO;\
    (config).ENTRY_H1400 = OD_ENTRY_H1400;\
    (config).ENTRY_H1600 = OD_ENTRY_H1600;\
    (config).CNT_TPDO = OD_CNT_TPDO;\
    (config).ENTRY_H1800 = OD_ENTRY_H1800;\
    (config).ENTRY_H1A00 = OD_ENTRY_H1A00;\
    (config).CNT_LEDS = 0;\
    (config).CNT_GFC = 0;\
    (config).ENTRY_H1300 = NULL;\
    (config).CNT_SRDO = 0;\
    (config).ENTRY_H1301 = NULL;\
    (config).ENTRY_H1381 = NULL;\
    (config).ENTRY_H13FE = NULL;\
    (config).ENTRY_H13FF = NULL;\
    (config).CNT_LSS_SLV = 0;\
    (config).CNT_LSS_MST = 0;\
    (config).CNT_GTWA = 0;\
    (config).CNT_TRACE = 0;\
}
#endif

#endif /* OD_H */
